6.0.0-git
2019-03-19

[#10737] Time picker incorrectly replaces keyboard-entered values
Summary Time picker incorrectly replaces keyboard-entered values
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester bklang (at) horde (dot) org
Created 2011-11-11 (2685 days ago)
Due
Updated 2012-08-29 (2393 days ago)
Assigned 2011-11-13 (2683 days ago)
Resolved 2011-11-14 (2682 days ago)
Milestone
Patch No

History
2012-08-29 12:25:08 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 9c009d2c8ea3e528787603e26adb8a7106b3d986
Author: Chuck Hagenbuch <chuck@horde.org>
Date:   Tue Nov 15 10:17:58 2011 -0500

     Port time-selection fixes from Kronolith to Nag (Krono bug was #10737).

  nag/js/task.js |   19 +++++++++++++++++--
  1 files changed, 17 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/9c009d2c8ea3e528787603e26adb8a7106b3d986
2011-12-04 23:07:17 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Port time-selection fixes from Kronolith to Nag (Krono bug was #10737).

  1 files changed, 17 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/b5b869b884dc45715d5945610eccf5dfc54dfec4
2011-11-14 16:17:34 Michael Rubinsky State ⇒ Resolved
 
2011-11-14 16:17:09 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Allow replacing an existing, selected, time with a user-entered time 
that is *not* in the list.
Bug: 10737

  1 files changed, 13 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/4145745a4fc0340bb0d7893ef6eff185c8f4f1ab
2011-11-14 16:17:05 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Don't clear out user-entered values if they don't match an available 
time choice.
Bug: 10737

  1 files changed, 3 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/e21efa164a250c22e7838aab68bf6b1f11784a96
2011-11-13 20:45:11 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2011-11-11 19:58:59 Ben Klang Comment #1
Type ⇒ Bug
Summary ⇒ Time picker incorrectly replaces keyboard-entered values
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
When entering the time field for an event, a drop-down appears with a 
list of times that may be chosen.  If the user does not select from 
this list, and instead enters a time using the keyboard, upon leaving 
the field it is cleared.  Similarly, if the user selects a value and 
subsequently types a different value, the selected field from the 
drop-down overwrites the types value.  If the drop-down is not present 
then typing the value works as expected.

Saved Queries